package space.rocketnine.fastingassistant.ui.settings;

import android.os.Bundle;
import android.preference.Preference;

import androidx.preference.PreferenceFragmentCompat;

import space.rocketnine.fastingassistant.FastingAssistant;
import space.rocketnine.fastingassistant.R;

public class SettingsFragment extends PreferenceFragmentCompat {
    private Preference.OnPreferenceChangeListener preferenceChangeListener = new Preference.OnPreferenceChangeListener() {
        @Override
        public boolean onPreferenceChange(Preference preference, Object value) {
            return true;
        }
    };

    @Override
    public void onCreatePreferences(Bundle savedInstanceState, String rootKey) {
        setPreferencesFromResource(R.xml.pref_main, rootKey);
    }

    private void bindPreferenceSummaryToValue(Preference preference) {
        // Set the listener to watch for value changes.
        preference.setOnPreferenceChangeListener(preferenceChangeListener);

        if (preference.getKey().equals("pref_widgetcolor")) {
            return;
        }

        // Trigger the listener immediately with the preference's
        // current value.
    }

    private FastingAssistant app;

    public FastingAssistant getApp() {
        if (app == null) {
            app = (FastingAssistant) getActivity().getApplication();
        }
        return app;
    }

}